> ## Documentation Index
> Fetch the complete documentation index at: https://docs.specterops.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Save template

> Create or update a local template



## OpenAPI

````yaml /phishmonger-docs/phishmonger-openapi.json post /save_template
openapi: 3.0.0
info:
  title: Phishmonger API
  version: 2.0.0
  description: >-
    RESTful API for programmatic access to Phishmonger phishing platform
    functionality
servers:
  - url: https://yourdomain.com
    description: Phishmonger server
security:
  - cookieAuth: []
tags:
  - name: Template
    description: Email template management
  - name: Campaign
    description: Phishing campaign operations
  - name: Target
    description: Target recipient management
  - name: Event
    description: Event tracking and analytics
paths:
  /save_template:
    post:
      tags:
        - Template
      summary: Save template
      description: Create or update a local template
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                template_name:
                  type: string
                  description: Template name
                mail_data:
                  type: string
                  description: Template MIME content
      responses:
        '200':
          description: Template saved successfully
          content:
            text/plain:
              schema:
                type: string
                example: Template Saved
        '401':
          description: Not authorized
      security:
        - cookieAuth: []
components:
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: admin_cookie
      description: Admin cookie authentication (configurable in config.json)

````